Acknowledge Events
curl --request DELETE \
--url https://scx-sbx.api.jtl-software.com/v1/seller/event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventIdList": [
"5cde84164d811d00144581f8"
]
}
'import requests
url = "https://scx-sbx.api.jtl-software.com/v1/seller/event"
payload = { "eventIdList": ["5cde84164d811d00144581f8"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({eventIdList: ['5cde84164d811d00144581f8']})
};
fetch('https://scx-sbx.api.jtl-software.com/v1/seller/event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorList": [
{
"code": "VAL100",
"message": "Required field sellerId not found",
"severity": "error",
"hint": "Check the field `sellerId` — it must be a non-empty string."
}
]
}{
"errorList": [
{
"code": "GEN500",
"message": "Internal Server Error",
"severity": "error",
"hint": null
}
]
}Events
Acknowledge Events
Delete Events by eventId. If a event is deleted it will not redelivered with the next GET /channel/event call
DELETE
/
v1
/
seller
/
event
Acknowledge Events
Authorizations
Bearer JWT issued to a seller after they sign up for a JTL-Scx subscription via the JTL
Customer Center. Usage format: Bearer <JWT>.
Body
application/json
List of event IDs the seller has successfully processed and which should be marked as acknowledged.
Required array length:
1 - 100 elementsResponse
No Content
Was this page helpful?
⌘I